GET api/ACM/GetInjuryDetail?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCPW_InjuryDetailDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CPW_InjuryDetailDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ClinicalPathwayId": 2,
"InjuryNatureId": 3,
"InjuryNatureName": "sample string 4",
"CauseOfIncidentId": 5,
"CauseOfIncidentName": "sample string 6",
"InjuryDetail_InjuryAreaList": [
{
"Id": 1,
"CPWInjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:24.6033297-07:00",
"DateUpdated": "2026-06-20T08:04:24.6033297-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CPWInjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:24.6033297-07:00",
"DateUpdated": "2026-06-20T08:04:24.6033297-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
],
"CombinedInjuryArea": "sample string 7",
"CombinedInjuryAreaRegion": "sample string 8",
"NCCICode": "sample string 9",
"CauseOfIncidentNCCICode": "sample string 10",
"CheckRequiredValidation": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:24.6033297-07:00",
"DateUpdated": "2026-06-20T08:04:24.6033297-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ClinicalPathwayId": 2,
"InjuryNatureId": 3,
"InjuryNatureName": "sample string 4",
"CauseOfIncidentId": 5,
"CauseOfIncidentName": "sample string 6",
"InjuryDetail_InjuryAreaList": [
{
"Id": 1,
"CPWInjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:24.6033297-07:00",
"DateUpdated": "2026-06-20T08:04:24.6033297-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CPWInjuryDetailId": 1,
"InjuryAreaId": 1,
"InjuryAreaName": "sample string 2",
"InjuryAreaRegionId": 1,
"InjuryAreaRegionName": "sample string 3",
"NCCICode": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:24.6033297-07:00",
"DateUpdated": "2026-06-20T08:04:24.6033297-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
],
"CombinedInjuryArea": "sample string 7",
"CombinedInjuryAreaRegion": "sample string 8",
"NCCICode": "sample string 9",
"CauseOfIncidentNCCICode": "sample string 10",
"CheckRequiredValidation": true,
"ValidFlag": true,
"DateCreated": "2026-06-20T08:04:24.6033297-07:00",
"DateUpdated": "2026-06-20T08:04:24.6033297-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}